# Get Warehouse Receiving Order Box Labels (DEPRECATED) GET https://api.shipbob.com/1.0/receiving/{id}/labels This endpoint is deprecated. Please use /2.0/receiving/{id}/labels Reference: https://developer.shipbob.com/v1.0/api/receiving/get-warehouse-receiving-order-box-labels-deprecated ## OpenAPI Specification ```yaml openapi: 3.1.1 info: title: | Get Warehouse Receiving Order Box Labels (DEPRECATED) version: endpoint_receiving.getWarehouseReceivingOrderBoxLabelsDeprecated paths: /1.0/receiving/{id}/labels: get: operationId: get-warehouse-receiving-order-box-labels-deprecated summary: | Get Warehouse Receiving Order Box Labels (DEPRECATED) description: | This endpoint is deprecated. Please use /2.0/receiving/{id}/labels tags: - - subpackage_receiving parameters: - name: id in: path description: Id of the receiving order required: true schema: type: string format: int32 - name: Authorization in: header description: Authentication using Personal Access Token (PAT) token required: true schema: type: string responses: '200': description: Success content: application/json: schema: $ref: >- #/components/schemas/Receiving.Get.1.0.Receiving.Id.Labels.OK.String '400': description: Bad Request content: {} '401': description: Authorization missing or invalid content: {} '403': description: The provided credentials are not authorized to access this resource content: {} '404': description: Not Found content: {} components: schemas: Receiving.Get.1.0.Receiving.Id.Labels.OK.String: type: string format: byte ``` ## SDK Code Examples ```python Receiving_getWarehouseReceivingOrderBoxLabelsDeprecated_example import requests url = "https://api.shipbob.com/1.0/receiving/id/labels" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript Receiving_getWarehouseReceivingOrderBoxLabelsDeprecated_example const url = 'https://api.shipbob.com/1.0/receiving/id/labels'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Receiving_getWarehouseReceivingOrderBoxLabelsDeprecated_example package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.shipbob.com/1.0/receiving/id/labels" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Receiving_getWarehouseReceivingOrderBoxLabelsDeprecated_example require 'uri' require 'net/http' url = URI("https://api.shipbob.com/1.0/receiving/id/labels") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java Receiving_getWarehouseReceivingOrderBoxLabelsDeprecated_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.shipbob.com/1.0/receiving/id/labels") .header("Authorization", "Bearer ") .asString(); ``` ```php Receiving_getWarehouseReceivingOrderBoxLabelsDeprecated_example request('GET', 'https://api.shipbob.com/1.0/receiving/id/labels', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp Receiving_getWarehouseReceivingOrderBoxLabelsDeprecated_example using RestSharp; var client = new RestClient("https://api.shipbob.com/1.0/receiving/id/labels"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift Receiving_getWarehouseReceivingOrderBoxLabelsDeprecated_example import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.shipbob.com/1.0/receiving/id/labels")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```